% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_handling.R
\name{selectExchange}
\alias{selectExchange}
\title{Retain only data from a single stock exchange}
\usage{
selectExchange(data, exch = "N")
}
\arguments{
\item{data}{an xts or data.table object containing the time series data. 
The object should have a column "EX", indicating the exchange by its symbol.}

\item{exch}{The (vector of) symbol(s) of the stock exchange(s) that should be selected.
By default the NYSE is chosen (exch = "N"). Other exchange symbols are:
\itemize{
\item A: AMEX
\item N: NYSE
\item B: Boston
\item P: Arca
\item C: NSX
\item T/Q: NASDAQ
\item D: NASD ADF and TRF
\item X: Philadelphia
\item I: ISE
\item M: Chicago
\item W: CBOE
\item Z: BATS
}}
}
\value{
xts or data.table object depending on input
}
\description{
Function returns an xts object containing the data of only 1 stock exchange.
}
\author{
Jonathan Cornelissen and Kris Boudt
}
\keyword{cleaning}
